# PCFactorSetMatOrderingType

Sets the ordering routine (to reduce fill) to be used in the LU factorization.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFactorSetMatOrderingType(PC pc,MatOrderingType ordering)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| ordering | - the matrix ordering name, for example, MATORDERING_ND or MATORDERING_RCM

### Options Database Key

-pc_factor_mat_ordering_type <nd,rcm,...> -Sets ordering routine

Notes: nested dissection is used by default

Level:intermediate
Location: src/ksp/pc/impls/factor/lu/lu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages